---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: &app jellyseerr
  namespace: &namespace multimedia
spec:
  commonMetadata:
    labels:
      app.kubernetes.io/name: *app
  components:
    - ../../../../flux/components/gatus/external
    - ../../../../flux/components/volsync
  dependsOn:
    - name: external-secrets-stores
      namespace: external-secrets
    - name: volsync
      namespace: volsync
  interval: 30m
  path: ./kubernetes/apps/multimedia/jellyseerr/app
  postBuild:
    substitute:
      APP: *app
      GATUS_PATH: /api/v1/status
      GATUS_SUBDOMAIN: requests
      VOLSYNC_CAPACITY: 5Gi
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  targetNamespace: *namespace
  timeout: 5m
  wait: false
